#109 crash in lnx version only

current
open
nobody
sqpack (3)
5
2013-05-08
2008-04-19
svl
No

Broken: sqpack/lnx 1.4.0-sta 20-03-05
Works: sqpack/w32-mvcdll 1.4.0-sta 20-03-05
Works: sqpack/lnx 1.4.0-sta 18-09-03

---
$ /bbs/opt/husky/bin/sqpack '*'
sqpack/lnx 1.4.0-sta 20-03-05

sqpack: api_jam.c:2211: DecodeSubf: Assertion `msgh->lclen<msgh->SubFieldPtr->arraySize+65' failed.
Aborted
---

Discussion

  • I've seen this on gcc 4.x only myself, as gcc 3.x works perfect!

     
  • Mercyful Fate
    Mercyful Fate
    2009-03-19

    I have also seen this recently using SMAPI and api_jam.c error.

    Same thing, i'm seeing this in linux, debian system under gcc 4.3 compiler.

     
  • This is quite old; will need to verify if the issue is still present and/or has already been resolved.